Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042762
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-09 13:212020-03-20 17:54
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision6f2ec9ddeaed
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042762: Apply new HQL Style in ProcessInvoice.java

DescriptionProcessInvoice.java has four HQL queries with:
- the HQL is hard to read because of formatting
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0116735)
inigo_lerga (developer)
2020-01-09 16:54

Test Plan Mantis First modified HQL:
As the F&B International Group Admin role:
    - Go to the Sales Invoice window and
      enter a new record with any Business
      Partner. Add a new line with any product
      and quantity desired.
    - Complete de Invoice and Press the Reactivate
      button. Select the void option and OK button.
#In this moment the modified HQL is executed#

Test Plan Mantis Second, Third and Fourth modified HQLs:
As the F&B International Group Admin role:
    - Go to the Purchase Order window and
      enter a new record with any Business
      Partner. Add a new line with any product
      and quantity desired. Complete the Order.
    - Go to the Payment Out window and enter a
      new record with the previous Business Partner
      in the Paying To field.
    - Press the Add Details button, select Orders
      in the options shown in the Transaction Type
      field. Select the Order previously created and
      press the Done button.
    - Complete the Payment Out.
    - Go to the Purchase Invoice window and create a
      new record. Select the previously used Business
      Partner.
    - Press the Create Lines From Order button and
      select the previously completed Order. Press the
      Done button.
    - Complete the Purchase Invoice. Now press the
      Reactivate button and select the Void option in
      the Action regarding document. Press Ok button.
#In this moment the modified HQLs are executed#
(0117007)
hgbot (developer)
2020-01-17 12:25

Repository: erp/devel/pi
Changeset: 6f2ec9ddeaed662466719c2a8deef21bd6dcb8d9
Author: IƱigo Lerga <inigo.lerga <at> openbravo.com>
Date: Thu Jan 09 14:57:22 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6f2ec9ddeaed662466719c2a8deef21bd6dcb8d9 [^]

Related to Issue 42762: Applied new HQL Style and Sonarlint suggestions

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ProcessInvoice.java
---
(0117008)
hgbot (developer)
2020-01-17 12:25

Repository: erp/devel/pi
Changeset: d3aaf9dada39fd8ee6b9fdb707dfe27481f028e0
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Jan 17 12:24:34 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/d3aaf9dada39fd8ee6b9fdb707dfe27481f028e0 [^]

Related to ISSUE-42762: Code Review Changes:
* Changed name of constant to follow standard conventions
* Do not use Boolean.TRUE.equals, keep the code as before to make it more redable
* Removed unused parameter in method

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ProcessInvoice.java
---
(0117009)
dmiguelez (developer)
2020-01-17 12:26

Code Review + Testing Ok
(0118731)
hudsonbot (developer)
2020-03-20 17:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b31620115262 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2020-01-09 13:21 inigo_lerga New Issue
2020-01-09 13:21 inigo_lerga Assigned To => inigo_lerga
2020-01-09 13:21 inigo_lerga Modules => Core
2020-01-09 13:21 inigo_lerga Triggers an Emergency Pack => No
2020-01-09 13:22 inigo_lerga Proposed Solution updated
2020-01-09 13:22 inigo_lerga Status new => scheduled
2020-01-09 16:54 inigo_lerga Note Added: 0116735
2020-01-10 14:44 inigo_lerga Relationship added related to 0041287
2020-01-17 12:25 hgbot Checkin
2020-01-17 12:25 hgbot Note Added: 0117007
2020-01-17 12:25 hgbot Checkin
2020-01-17 12:25 hgbot Note Added: 0117008
2020-01-17 12:25 dmiguelez Status scheduled => resolved
2020-01-17 12:25 dmiguelez Fixed in Version => 3.0PR20Q2
2020-01-17 12:25 dmiguelez Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/6f2ec9ddeaed662466719c2a8deef21bd6dcb8d9 [^]
2020-01-17 12:25 dmiguelez Resolution open => fixed
2020-01-17 12:26 dmiguelez Review Assigned To => dmiguelez
2020-01-17 12:26 dmiguelez Note Added: 0117009
2020-01-17 12:26 dmiguelez Status resolved => closed
2020-03-20 17:54 hudsonbot Checkin
2020-03-20 17:54 hudsonbot Note Added: 0118731


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker